package com.burtbeckwith.mvctest.service;

import java.util.List;

import com.burtbeckwith.mvctest.domain.Book;

/**
 * Interface for book service to allow access in Java/Spring MVC. Unfortunately named with a
 * silly 'I' prefix since there's no flexibility in the class name of the Groovy class name.
 *
 * @author Burt
 */
public interface IBookService {

	/**
	 * Get all books.
	 * @return  the books
	 */
	List<Book> getAllBooks();

	/**
	 * Get an individual book by id.
	 * @param id  the id
	 * @return  the book
	 */
	Book getBook(long id);
}
